Subject: Re: bug#33135: 27.0.50; (make-thread) TRAMP interactive freeze macOS 10.14

From: Christian Johansson <[email-masked]>
Date: Fri, 16 Nov 2018 14:13:11 +0100

Hi again

(require ’ede) + open tramp file doesn’t cause bug, only (global-ede-mode) + open tramp file. Local files are fine

I’ll try get a backtrace later, do you recommend GDB for that?

Regards
Chris

> 16 nov. 2018 kl. 12:53 skrev Michael Albinus <[email-masked]>:
> 
> Christian Johansson <[email-masked]> writes:
> 
>> Hi again
> 
> Hi Christian,
> 
>> The issue didn’t happen without a init file so I narrowed down the
>> issue to this line in my init file:
>> 
>> (when (fboundp ’global-ede-mode) (global-ede-mode nil))
>> 
>> It only happens on this branch and when accessing tramp for some
>> reason. t or nil as argument causes same behavior
> 
> Thanks for investigation! So I guess a simple (require 'ede) would
> already cause the trouble in  "emacs -Q"?
> 
> Do you have a chance to debug or trace ede?
> 
> Best regards, Michael.